#ifndef HAPLOTYPEMATRIX_H
#define HAPLOTYPEMATRIX_H

#include "Matrix.h"
#include "Family.h"
#include "Vector.h"
#include "Marker.h"

typedef Matrix HaplotypeMatrix;

HaplotypeMatrix HaplotypeMatrix_Create(Family, Vector test_marker_set);
HaplotypeMatrix HaplotypeMatrix_RemoveDiseaseLocus(HaplotypeMatrix);

#define HaplotypeMatrix_Get(matrix, inheritance_vector, disease_genotypes) Matrix_Get((matrix), (inheritance_vector), (disease_genotypes))
#define HaplotypeMatrix_Destroy(matrix) Matrix_Destroy(matrix)

#include "HaplotypeMatrixPrivate.h"

#endif
