#ifndef INHERITANCEDISTRIBUTION_H
#define INHERITANCEDISTRIBUTION_H

typedef struct InheritanceDistributionStruct *InheritanceDistribution;

InheritanceDistribution InheritanceDistribution_CreateFromMatrix(double **matrix, int number_of_positions, int number_of_inheritance_vectors);
double InheritanceDistribution_Get(InheritanceDistribution, int position, int inheritance_vector);
int InheritanceDistribution_GetNumberOfInheritanceVectors(InheritanceDistribution);
void InheritanceDistribution_Destroy(InheritanceDistribution);

#endif
