#ifndef MODELPARAMSFILE_H
#define MODELPARAMSFILE_H

typedef struct ModelParamsFileStruct *ModelParamsFile;

typedef struct ModelParamsStruct {
    double disease_allele_frequency;
    double f0, f1_pat, f1_mat, f2;
} *ModelParams;

ModelParamsFile ModelParamsFile_Create(const char *filename);
int ModelParamsFile_GetNumberOfModels(ModelParamsFile);
ModelParams ModelParamsFile_GetModel(ModelParamsFile, int);

int ModelParams_PenetrancesBetween0And1(ModelParams);
ModelParams ModelParams_Create(const char *line);

#endif
