#ifndef NLOPTMODSCOREFUNCTION_H
#define NLOPTMODSCOREFUNCTION_H

#include "DoubleVector.h"
#include "LinkageMarkerFile.h"
#include "ModScore.h"
#include "ModScorer.h"
#include "Vector.h"

// Compute MOD score function for test marker set
ModScore *NloptModScoreFunction(
    Vector test_markers,
    Vector annotated_families,
    DoubleVector em_hapfreqs,
    LinkageMarkerFile linkage_file,
    ModelParams user_model,
    int number_of_test_marker_sets,
    ModScore *grid_mod_score);

#endif
