#ifndef PENETRANCEMATRIX_H
#define PENETRANCEMATRIX_H

#include "Matrix.h"
#include "Penetrances.h"
#include "Family.h"

typedef Matrix PenetranceMatrix;

PenetranceMatrix PenetranceMatrix_Create(Family);
#define PenetranceMatrix_Get(matrix, row, column) Matrix_Get((matrix), (row), (column))
#define PenetranceMatrix_Destroy(matrix) Matrix_Destroy(matrix)

#include "PenetranceMatrixPrivate.h"

#endif
