#ifndef INTSET_H
#define INTSET_H

#include "IntHashTable.h"

typedef IntHashTable IntSet;

#define IntSet_Create(size) IntHashTable_Create(size)
extern void (*IntSet_Destroy)(IntSet);
#define IntSet_Put(set, value) IntHashTable_Put(set, value, NULL)
int IntSet_Contains(IntSet, int value);
#define IntSet_GetSize(set) IntHashTable_GetSize(set)
int *IntSet_Sort(IntSet);

#endif
