#ifndef ORDEREDSUBSETGENERATOR_H
#define ORDEREDSUBSETGENERATOR_H

#include "Vector.h"

typedef struct OrderedSubsetGeneratorStruct *OrderedSubsetGenerator;

OrderedSubsetGenerator OrderedSubsetGenerator_Create(Vector items, int size_of_subsets);
Vector OrderedSubsetGenerator_Next(OrderedSubsetGenerator);
int OrderedSubsetGenerator_IncrementOrderedIndices(int *indices, int number_of_indices, Vector vector);
int OrderedSubsetGenerator_GetNumberOfSets(OrderedSubsetGenerator);

#endif
