#ifndef PARSEOBJECT_H
#define PARSEOBJECT_H

#include "Vector.h"

typedef struct ParseObjectStruct *ParseObject;

ParseObject ParseObject_Create(const char *);
int ParseObject_NextInteger(ParseObject, long *);
int ParseObject_HasNextInteger(ParseObject);
void ParseObject_Destroy(ParseObject);
int ParseObject_NextDouble(ParseObject, double *);
int ParseObject_NextWord(ParseObject, char **);
Vector ParseObject_SplitIntoWords(ParseObject);

#endif
