#ifndef STRINGSET_H
#define STRINGSET_H

#include "StringHashTable.h"

typedef StringHashTable StringSet;

#define StringSet_Create(size) StringHashTable_Create(size)
#define StringSet_Destroy(set) StringHashTable_Destroy(set)
#define StringSet_Put(set, value) StringHashTable_Put(set, value, NULL)
int StringSet_Contains(StringSet, const char *value);
#define StringSet_GetSize(set) StringHashTable_GetSize(set)

#endif
