#include "FailWith.h"
#include <stdio.h>
#include <stdarg.h>
#include <stdlib.h>

void FailWithHelper(const char *filename, int line_number, const char *format, ...)
{
    fprintf(stderr, "%s:%d: error: ", filename, line_number);
    va_list ap;
    va_start(ap, format);
    vfprintf(stderr, format, ap);
    va_end(ap);
    fprintf(stderr, "\n");
    exit(EXIT_FAILURE);
}
