#include "Report.h"
#include "Str.h"
#include "IO.h"
#include "Exit.h"
#include <stdarg.h>
#include <stdlib.h>

void Report_Error(const char *format, ...)
{
    const char *message = NULL;
    va_list ap;

    va_start(ap, format);
    message = String_FromFormat2(format, ap);
    va_end(ap);

    IO_PrintToStderr(message);
    Exit_With(EXIT_FAILURE);
}
