#include "StringHashTable.h"
#include "HashTableTemplateImpl.h"

#include "Str.h"

#define HASH(key, table) hash((key), (table))
#define IS_SAME_KEY(K1, K2) String_Equal((K1), (K2))

static int hash(String key, StringHashTable table)
{
    const char *s = key;
    int sum = 0;
    while (*s) {
        sum += *s;
        ++s;
    }
    return sum % StringHashTable_GetLength(table);
}

HashTableTemplateImpl(String)
