#ifndef FOUNDERHAPLOTYPES_H
#define FOUNDERHAPLOTYPES_H

#include "Family.h"
#include "TripletHashTable.h"
#include "Vector.h"

typedef struct FounderHaplotypesStruct *FounderHaplotypes;

FounderHaplotypes FounderHaplotypes_Create(Family family, Vector test_marker_set);
void FounderHaplotypes_Destroy(FounderHaplotypes);
TripletHashTableIterator FounderHaplotypes_GetIterator(FounderHaplotypes);
TripletHashTableIterator FounderHaplotypes_GetIterator_1(FounderHaplotypes);
TripletHashTableIterator FounderHaplotypes_GetIterator_2(FounderHaplotypes);
TripletHashTableIterator FounderHaplotypes_GetIterator_3(FounderHaplotypes);
int FounderHaplotypes_GetNumberOfHaplotypes(FounderHaplotypes);
int FounderHaplotypes_GetNumberOfFounders(FounderHaplotypes);
int FounderHaplotypes_WithRecombination(FounderHaplotypes);
int FounderHaplotypes_GetNumberOfTestMarkers(FounderHaplotypes);

#endif
