#ifndef GENOTYPE_H
#define GENOTYPE_H

#include "PairOfBits.h"

// When a value of type "Genotype" AB (= OO, OI, IO, II) is considered
// a "phased" genotype, the first allele (A) is the paternal allele
// and the second allele (B) is the maternal allele.
typedef PairOfBits Genotype;

#define Genotype_FromAlleles(a1, a2) PairOfBits_FromTwoBits((a1), (a2))

int Genotype_AreGenotypesCompatible(Genotype, Genotype);

#endif
