#ifndef HAPLOTYPEMATRIXPRIVATE_H
#define HAPLOTYPEMATRIXPRIVATE_H

#include "HaplotypeTerm.h"
#include "PhasedGenotypes.h"
#include "IntSet.h"

extern HaplotypeMatrix (*HaplotypeMatrix_CreateEmpty)(int number_of_rows, int number_of_columns);
#define HaplotypeMatrix_GetNumberOfRows(matrix) Matrix_GetNumberOfRows(matrix)
#define HaplotypeMatrix_GetNumberOfColumns(matrix) Matrix_GetNumberOfColumns(matrix)
extern void (*HaplotypeMatrix_Set)(HaplotypeMatrix, int row, int column, void *value);

void HaplotypeMatrix_CollectHaplotypeTerms(HaplotypeTerm term, int number_of_founders, PhasedGenotypes, int number_of_test_markers, IntSet *sets_of_compatible_test_marker_genotypes);

#endif
