#ifndef MODSCORE_H
#define MODSCORE_H

#include "DoubleVector.h"
#include "Vector.h"

typedef struct {
    Vector test_markers;
    double position;
    double mod_score;
    double disease_allele_frequency;
    DoubleVector penetrances;
    DoubleVector hapfreqs;
    DoubleVector em_hapfreqs;
    DoubleVector deltas;
} ModScore;

ModScore *ModScore_Create(void);
void ModScore_Clear(ModScore *);
void ModScore_Update(ModScore *dst, ModScore *src);

#endif
