#ifndef PQTERM_H
#define PQTERM_H

typedef struct PQTermStruct *PQTerm;

PQTerm PQTerm_Create(int disease_genotypes, int number_of_founders);
int PQTerm_GetExponentOfP(PQTerm term);
int PQTerm_GetExponentOfQ(PQTerm term);
void PQTerm_Destroy(PQTerm term);
double PQTerm_Evaluate(PQTerm term, double disease_allele_frequency);

#endif
