#ifndef REGION_H
#define REGION_H

#include "LinkageMarkerFile.h"
#include "UserLinkageMarkerFile.h"
#include "Vector.h"

typedef struct RegionStruct *Region;

Region Region_Create(const char *first_marker_name, const char *last_marker_name, LinkageMarkerFile linkage_file, UserLinkageMarkerFile user_linkage_file);
void Region_Destroy(Region);
Vector Region_GetMarkers(Region);
Vector Region_GetLinkageMarkers(Region);

#endif
