#ifndef USERLINKAGEMARKERFILE_H
#define USERLINKAGEMARKERFILE_H

#include "Vector.h"

typedef struct UserLinkageMarkerFileStruct *UserLinkageMarkerFile;

UserLinkageMarkerFile UserLinkageMarkerFile_Create(const char *filename);
void UserLinkageMarkerFile_Destroy(UserLinkageMarkerFile);
Vector UserLinkageMarkerFile_GetMarkerNames(UserLinkageMarkerFile);
int UserLinkageMarkerFile_Contains(UserLinkageMarkerFile, const char *marker_name);
int UserLinkageMarkerFile_CountLinkageMarkers(UserLinkageMarkerFile, Vector markers);

#endif
