#ifndef BITPAIRS_H
#define BITPAIRS_H

#include "PairOfBits.h"

typedef unsigned int BitPairs;
// typedef enum {
//     OO = 0, OI, IO, II, XX = 4 // order matters: bit patterns!
// } PairOfBits;
// XX represents a "missing" PairOfBits.  Its value was explicitly
// chosen to be 4 such that it a) would fall outside the range of
// possible bit pair values (0, 1, 2, 3) and b) could still be used as
// an array index for table-driven code (unlike -1 for example).

BitPairs BitPairs_FromString(const char *);
PairOfBits BitPairs_Get(BitPairs, int which);
int BitPairs_GetNumberOfCombinations(int number_of_pairs);

#endif
