#ifndef HASHTABLETEMPLATE_H
#define HASHTABLETEMPLATE_H

// Given a simple or typedef'd type T, this header file creates a hash
// table type with keys of type T and pointers to void as values.

// THashTable THashTable_Create(int size);
// void THashTable_Destroy(THashTable);
// int THashTable_Put(THashTable, T key, void *value);
// int THashTable_Get(THashTable, T key, void **value);
// int THashTable_GetSize(THashTable);
// int THashTable_GetLength(THashTable);
// T *THashTable_SortKeys(THashTable, Tcompare_func);

// The header file of the new hash table type must include the header
// file "HashTableTemplate.h" and call 'HashTableTemplate(T)'.  Note
// the missing final semicolon.
//
// The implementation file must include "HashTableTemplateImpl.h", the
// header of the new hash table type, say "THashTable.h", and the call
// 'HashTableTemplateImpl(T)'.  Note the missing final semicolon.

#include "HashTableTemplateInternals.h"

#endif
