#ifndef MATRIX_H
#define MATRIX_H

struct MatrixStruct {
    int rows;
    int columns;
    void ***matrix;
};

typedef struct MatrixStruct *Matrix;

Matrix Matrix_Create(int number_of_rows, int number_of_columns);
void *Matrix_Get(Matrix, int row, int column);
void Matrix_Set(Matrix, int row, int column, void *value);
void Matrix_Destroy(Matrix);
int Matrix_GetNumberOfRows(Matrix);
int Matrix_GetNumberOfColumns(Matrix);

#endif
