#ifndef PAIROFBITS_H
#define PAIROFBITS_H

typedef enum {
    OO = 0, OI, IO, II, XX = 4 // order matters: bit patterns!
} PairOfBits;
// XX represents a "missing" PairOfBits.  Its value was explicitly
// chosen to be 4 such that it a) would fall outside the range of
// possible bit pair values (0, 1, 2, 3) and b) could still be used as
// an array index for table-driven code (unlike -1 for example).

PairOfBits PairOfBits_FromTwoBits(int, int);

#endif
