#ifndef TRIPLETHASHTABLE_H
#define TRIPLETHASHTABLE_H

#include "HashTableTemplate.h"
#include "Triplet.h"

HashTableTemplate(Triplet)

typedef struct TripletHashTableIteratorStruct *TripletHashTableIterator;

TripletHashTableIterator TripletHashTableIterator_Create(TripletHashTable);
Triplet TripletHashTableIterator_GetTriplet(TripletHashTableIterator);
void *TripletHashTableIterator_GetValue(TripletHashTableIterator);
void TripletHashTableIterator_Next(TripletHashTableIterator);
int TripletHashTableIterator_HasNext(TripletHashTableIterator);
void *TripletHashTable_GetExponents(TripletHashTable, Triplet);

#endif
