#include "BitPairs.h"

PairOfBits BitPairs_Get(BitPairs bit_pairs, int which)
{
    return (bit_pairs >> 2*which) & II;
}

BitPairs BitPairs_FromString(const char *s)
{
    BitPairs bit_pairs = 0x0;

    while (*s) {
        bit_pairs <<= 1;
        if (*s - '0' == 1)
            ++bit_pairs;
        ++s;
    }

    return bit_pairs;
}

int BitPairs_GetNumberOfCombinations(int number_of_pairs)
{
    if (number_of_pairs == 0)
        return 0;
    else
        return 1 << 2 * number_of_pairs;
}
