#include "IO.h"

int IO_PrintToStderrImpl(const char *string)
{
    return fprintf(stderr, "%s\n", string);
}

int (*IO_PrintToStderr)(const char *) = IO_PrintToStderrImpl;

char *IO_GetLine(FILE *fp)
{
    char *line = NULL;
    size_t size = 0;
    ssize_t n;

    while ((n = getline(&line, &size, fp)) != -1 && *line == '#')
        ;

    return (n == -1) ? NULL : line;
}
