#include "Int.h"
#include "Memory.h"
#include <stdio.h>

const char *Int_AsString(int number)
{
    int length = 2;  // any number has at least 1 digit and 1 byte for '\0'
    int k = number;
    while (k /= 10)
        length++;
    char *string = Memory_Malloc(length * sizeof(char));
    snprintf(string, length, "%d", number);
    return string;
}
