#include "IntSet.h"

int IntSet_Contains(IntSet set, int value)
{
    int *ignore;

    return IntHashTable_Get(set, value, (void **) &ignore);
}

void (*IntSet_Destroy)(IntSet) = IntHashTable_Destroy;

static int increasing(const void *p, const void *q) {
    int i = *(int *)p;
    int j = *(int *)q;
    if (i < j) {
        return -1;
    } else if (i > j) {
        return 1;
    } else {
        return 0;
    }
}

int *IntSet_Sort(IntSet set)
{
    return IntHashTable_SortKeys(set, increasing);
}
