#include "Memory.h"
#include "Triplet.h"

#include <stdio.h>

struct TripletStruct {
    int i, j, k;
};

Triplet Triplet_Create(int i, int j, int k) {
    Triplet triplet = Memory_Malloc(sizeof *triplet);
    triplet->i = i;
    triplet->j = j;
    triplet->k = k;
    return triplet;
}

int Triplet_Equal(Triplet x, Triplet y) {
    return x->i == y->i && x->j == y->j && x->k == y->k;
}

unsigned Triplet_Hash(Triplet triplet) {
    return (unsigned) triplet->i + (unsigned) triplet->j + (unsigned) triplet->k;
}

void Triplet_Print(Triplet triplet) {
    fprintf(stderr, "(%d, %d, %d)\n", triplet->i, triplet->j, triplet->k);
}
